org.apache.felix.systemready.impl.servlet

## Class SystemAliveServlet

- java.lang.Object
- - javax.servlet.GenericServlet
  - - javax.servlet.http.HttpServlet
    - - org.apache.felix.systemready.impl.servlet.SystemAliveServlet

All Implemented Interfaces:
  Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

    public class SystemAliveServlet
    extends javax.servlet.http.HttpServlet

Provide aggregated alive information using a servlet

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static interface` `SystemAliveServlet.Config`

### Field Summary

Fields
`static String` `DEFAULT_PATH`
`static String` `PID`

### Constructor Summary

Constructors
Constructor and Description
`SystemAliveServlet()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `activate(org.osgi.framework.BundleContext ctx, Map<String,Object> properties, SystemAliveServlet.Config config)`
`protected void` `doGet(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`

### Methods inherited from class javax.servlet.http.HttpServlet

`doDelete, doHead, doOptions, doPost, doPut, doTrace, getLastModified, service, service`

### Methods inherited from class javax.servlet.GenericServlet

`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, init, log, log`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### PID

    public static final String PID

See Also:
  Constant Field Values

#### DEFAULT_PATH

    public static final String DEFAULT_PATH

See Also:
  Constant Field Values

### Constructor Detail

#### SystemAliveServlet

    public SystemAliveServlet()

### Method Detail

#### activate

    protected void activate(org.osgi.framework.BundleContext ctx,
                            Map<String,Object> properties,
                            SystemAliveServlet.Config config)

#### doGet

    protected void doGet(javax.servlet.http.HttpServletRequest request,
                         javax.servlet.http.HttpServletResponse response)
                  throws javax.servlet.ServletException,
                         IOException

Overrides:
  `doGet` in class `javax.servlet.http.HttpServlet`
Throws:
  `javax.servlet.ServletException`
  `IOException`